Index: src/edu/ucsb/nceas/metacat/DBSAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 2663)
@@ -41,6 +41,7 @@
 import edu.ucsb.nceas.morpho.datapackage.Triple;
 import edu.ucsb.nceas.morpho.datapackage.TripleCollection;
 
+import org.apache.log4j.Logger;
 import org.xml.sax.Attributes;
 import org.xml.sax.SAXException;
 import org.xml.sax.SAXParseException;
@@ -136,6 +137,8 @@
 
     public static final String ECOGRID = "ecogrid://";
 
+    private Logger logMetacat = Logger.getLogger(DBSAXHandler.class);
+
     /**
      * Construct an instance of the handler class
      *
@@ -218,7 +221,7 @@
     /** SAX Handler that receives notification of beginning of the document */
     public void startDocument() throws SAXException
     {
-        MetaCatUtil.debugMessage("start Document", 50);
+        logMetacat.info("start Document");
 
         // Create the document node representation as root
         rootNode = new DBSAXNode(connection, this.docid);
@@ -230,7 +233,7 @@
     /** SAX Handler that receives notification of end of the document */
     public void endDocument() throws SAXException
     {
-        MetaCatUtil.debugMessage("end Document", 50);
+        logMetacat.info("end Document");
         // Starting new thread for writing XML Index.
         // It calls the run method of the thread.
 
@@ -247,9 +250,9 @@
                         connection, tripleList);
                 }
             } catch (Exception e) {
-                MetaCatUtil.debugMessage(
+                logMetacat.error(
                         "Failed to write triples into relation table"
-                                + e.getMessage(), 30);
+                                + e.getMessage());
                 throw new SAXException(
                         "Failed to write triples into relation table "
                                 + e.getMessage());
@@ -261,7 +264,7 @@
     public void startPrefixMapping(String prefix, String uri)
             throws SAXException
     {
-        MetaCatUtil.debugMessage("NAMESPACE", 50);
+        logMetacat.info("NAMESPACE");
 
         namespaces.put(prefix, uri);
     }
@@ -273,9 +276,9 @@
         // for element <eml:eml...> qname is "eml:eml", local name is "eml"
         // for element <acl....> both qname and local name is "eml"
         // uri is namesapce
-        MetaCatUtil.debugMessage("Start ELEMENT(qName) " + qName, 50);
-        MetaCatUtil.debugMessage("Start ELEMENT(localName) " + localName, 50);
-        MetaCatUtil.debugMessage("Start ELEMENT(uri) " + uri, 50);
+        logMetacat.info("Start ELEMENT(qName) " + qName);
+        logMetacat.info("Start ELEMENT(localName) " + localName);
+        logMetacat.info("Start ELEMENT(uri) " + uri);
 
         DBSAXNode parentNode = null;
         DBSAXNode currentNode = null;
@@ -316,13 +319,13 @@
                 } else {
                     doctype = docname;
                 }
-                MetaCatUtil.debugMessage("DOCNAME-a: " + docname, 30);
-                MetaCatUtil.debugMessage("DOCTYPE-a: " + doctype, 30);
+                logMetacat.info("DOCNAME-a: " + docname);
+                logMetacat.info("DOCTYPE-a: " + doctype);
             } else if (doctype == null) {
                 // because docname is not null and it is declared in dtd
                 // so could not be in schema, no namespace
                 doctype = docname;
-                MetaCatUtil.debugMessage("DOCTYPE-b: " + doctype, 30);
+                logMetacat.info("DOCTYPE-b: " + doctype);
             }
            
             rootNode.writeNodename(docname);
@@ -440,6 +443,7 @@
     }
 
     public void runIndexingThread(){
+    	
         boolean useXMLIndex =
             (new Boolean(MetaCatUtil.getOption("usexmlindex"))).booleanValue();
         if (useXMLIndex && !isRevisionDoc) {
@@ -447,8 +451,8 @@
                 xmlIndex.start();
             } catch (NullPointerException e) {
                 xmlIndex = null;
-                MetaCatUtil.debugMessage("Error in DBSAXHandler.runIndexingThread() "
-                        + e.getMessage(), 20);
+                logMetacat.error("Error in DBSAXHandler.runIndexingThread() "
+                        + e.getMessage());
             }
         }
     }
@@ -472,8 +476,8 @@
              currentDocument.buildIndex();
             }
         } catch (Exception e) {
-            MetaCatUtil.debugMessage("Error in DBSAXHandler.run "
-                    + e.getMessage(), 30);
+            logMetacat.error("Error in DBSAXHandler.run "
+                    + e.getMessage());
         }
     }
 
@@ -516,8 +520,8 @@
                 ResultSet doccheckRS = xmlDocCheck.getResultSet();
                 boolean tableHasRows = doccheckRS.next();
                 if (tableHasRows) {
-                    MetaCatUtil.debugMessage(
-                            "=========== found the correct document", 35);
+                    logMetacat.info(
+                            "=========== found the correct document");
                     inxmldoc = true;
                 }
                 doccheckRS.close();
@@ -534,8 +538,8 @@
                 //dbconn.close();
             } catch (SQLException sqle) {
             }
-            MetaCatUtil.debugMessage("Error in DBSAXHandler.checkDocumentTable "
-                    + e.getMessage(), 30);
+            logMetacat.error("Error in DBSAXHandler.checkDocumentTable "
+                    + e.getMessage());
 
         } finally {
             DBConnectionPool.returnDBConnection(dbConn, serialNumber);
@@ -546,7 +550,7 @@
     /** SAX Handler that is called for each XML text node */
     public void characters(char[] cbuf, int start, int len) throws SAXException
     {
-        MetaCatUtil.debugMessage("CHARACTERS", 50);
+        logMetacat.info("CHARACTERS");
         // buffer all text nodes for same element. This is for text was splited
         // into different nodes
         textBuffer.append(new String(cbuf, start, len));
@@ -555,9 +559,8 @@
         // if text buffer .size is greater than max, write it to db.
         // so we can save memory
         if (textBuffer.length() > MAXDATACHARS) {
-            MetaCatUtil.debugMessage("Write text into DB in charaters"
-                    + " when text buffer size is greater than maxmum number",
-                    50);
+            logMetacat.info("Write text into DB in charaters"
+                    + " when text buffer size is greater than maxmum number");
             DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
             endNodeId = writeTextForDBSAXNode(endNodeId, textBuffer,
                     currentNode);
@@ -576,7 +579,7 @@
         // When validation is turned "on", white spaces are reported here
         // When validation is turned "off" white spaces are not reported here,
         // but through characters() callback
-        MetaCatUtil.debugMessage("IGNORABLEWHITESPACE", 50);
+        logMetacat.info("IGNORABLEWHITESPACE");
 
         DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
         String data = null;
@@ -612,7 +615,7 @@
     public void processingInstruction(String target, String data)
             throws SAXException
     {
-        MetaCatUtil.debugMessage("PI", 50);
+        logMetacat.info("PI");
         DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
         endNodeId = currentNode.writeChildNodeToDB("PI", target, data, docid);
     }
@@ -621,7 +624,7 @@
     public void endElement(String uri, String localName, String qName)
             throws SAXException
     {
-        MetaCatUtil.debugMessage("End ELEMENT " + qName, 50);
+        logMetacat.info("End ELEMENT " + qName);
 
         // write buffered text nodes into db (so no splited)
         DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
@@ -630,7 +633,7 @@
         // into the buffer, write the buffer to data base. The reason we put
         // write database here is for xerces some time split text node
         if (hitTextNode) {
-            MetaCatUtil.debugMessage("Write text into DB in End Element", 50);
+            logMetacat.info("Write text into DB in End Element");
             endNodeId = writeTextForDBSAXNode(endNodeId, textBuffer,
                     currentNode);
 
@@ -688,11 +691,11 @@
         // we don't put the dtd node into node stack
         DBSAXNode dtdNode = new DBSAXNode(connection, name, publicId, systemId,
                 currentNode, currentNode.getRootNodeID(), docid);
-        MetaCatUtil.debugMessage("Start DTD", 50);
-        MetaCatUtil.debugMessage("Setting processingDTD to true", 50);
-        MetaCatUtil.debugMessage("DOCNAME: " + docname, 50);
-        MetaCatUtil.debugMessage("DOCTYPE: " + doctype, 50);
-        MetaCatUtil.debugMessage("  SYSID: " + systemid, 50);
+        logMetacat.info("Start DTD");
+        logMetacat.info("Setting processingDTD to true");
+        logMetacat.info("DOCNAME: " + docname);
+        logMetacat.info("DOCTYPE: " + doctype);
+        logMetacat.info("  SYSID: " + systemid);
     }
 
     /**
@@ -702,8 +705,8 @@
     {
 
         processingDTD = false;
-        MetaCatUtil.debugMessage("Setting processingDTD to false", 50);
-        MetaCatUtil.debugMessage("end DTD", 50);
+        logMetacat.info("Setting processingDTD to false");
+        logMetacat.info("end DTD");
     }
 
     /**
@@ -711,7 +714,7 @@
      */
     public void comment(char[] ch, int start, int length) throws SAXException
     {
-        MetaCatUtil.debugMessage("COMMENT", 50);
+        logMetacat.info("COMMENT");
         if (!processingDTD) {
             DBSAXNode currentNode = (DBSAXNode) nodeStack.peek();
             endNodeId = currentNode.writeChildNodeToDB("COMMENT", null,
@@ -724,7 +727,7 @@
      */
     public void startCDATA() throws SAXException
     {
-        MetaCatUtil.debugMessage("start CDATA", 50);
+        logMetacat.info("start CDATA");
     }
 
     /**
@@ -732,7 +735,7 @@
      */
     public void endCDATA() throws SAXException
     {
-        MetaCatUtil.debugMessage("end CDATA", 50);
+        logMetacat.info("end CDATA");
     }
 
     /**
@@ -740,7 +743,7 @@
      */
     public void startEntity(String name) throws SAXException
     {
-        MetaCatUtil.debugMessage("start ENTITY: " + name, 50);
+        logMetacat.info("start ENTITY: " + name);
         //System.out.println("start ENTITY: " + name);
         if (name.equals("[dtd]")) {
             processingDTD = true;
@@ -752,7 +755,7 @@
      */
     public void endEntity(String name) throws SAXException
     {
-        MetaCatUtil.debugMessage("end ENTITY: " + name, 50);
+        logMetacat.info("end ENTITY: " + name);
         //System.out.println("end ENTITY: " + name);
         if (name.equals("[dtd]")) {
             processingDTD = false;
@@ -766,7 +769,7 @@
             throws org.xml.sax.SAXException
     {
         //System.out.println("ELEMENTDECL: " + name + " " + model);
-        MetaCatUtil.debugMessage("ELEMENTDECL: " + name + " " + model, 50);
+        logMetacat.info("ELEMENTDECL: " + name + " " + model);
     }
 
     /**
@@ -779,8 +782,8 @@
         //System.out.println("ATTRIBUTEDECL: " + eName + " "
         //                        + aName + " " + type + " " + valueDefault + " "
         //                        + value);
-        MetaCatUtil.debugMessage("ATTRIBUTEDECL: " + eName + " " + aName + " "
-                + type + " " + valueDefault + " " + value, 50);
+        logMetacat.info("ATTRIBUTEDECL: " + eName + " " + aName + " "
+                + type + " " + valueDefault + " " + value);
     }
 
     /**
@@ -790,7 +793,7 @@
             throws org.xml.sax.SAXException
     {
         //System.out.println("INTERNENTITYDECL: " + name + " " + value);
-        MetaCatUtil.debugMessage("INTERNENTITYDECL: " + name + " " + value, 50);
+        logMetacat.info("INTERNENTITYDECL: " + name + " " + value);
     }
 
     /**
@@ -801,8 +804,8 @@
     {
         //System.out.println("EXTERNENTITYDECL: " + name + " " + publicId
         //                              + " " + systemId);
-        MetaCatUtil.debugMessage("EXTERNENTITYDECL: " + name + " " + publicId
-                + " " + systemId, 50);
+        logMetacat.info("EXTERNENTITYDECL: " + name + " " + publicId
+                + " " + systemId);
         // it processes other external entity, not the DTD;
         // it doesn't signal for the DTD here
         processingDTD = false;
@@ -817,7 +820,7 @@
      */
     public void fatalError(SAXParseException exception) throws SAXException
     {
-        MetaCatUtil.debugMessage("FATALERROR: " + exception.getMessage(), 50);
+        logMetacat.fatal("FATALERROR: " + exception.getMessage());
         throw (new SAXException("Fatal processing error.", exception));
     }
 
@@ -826,7 +829,7 @@
      */
     public void error(SAXParseException exception) throws SAXException
     {
-        MetaCatUtil.debugMessage("ERROR: " + exception.getMessage(), 50);
+        logMetacat.error("ERROR: " + exception.getMessage());
         throw (new SAXException("Error in processing EML.", exception));
     }
 
@@ -835,7 +838,7 @@
      */
     public void warning(SAXParseException exception) throws SAXException
     {
-        MetaCatUtil.debugMessage("WARNING: " + exception.getMessage(), 50);
+        logMetacat.warn("WARNING: " + exception.getMessage());
         throw (new SAXException("Warning.", exception));
     }
 
@@ -896,7 +899,7 @@
 
         // if there are some cotent in buffer, write it
         if (bufferSize > 0) {
-            MetaCatUtil.debugMessage("Write text into DB", 50);
+            logMetacat.info("Write text into DB");
             // This loop deals with the case where there are more characters
             // than can fit in a single database text field (limit is
             // MAXDATACHARS). If the text to be inserted exceeds MAXDATACHARS,
